> ## Documentation Index
> Fetch the complete documentation index at: https://docs.uniblock.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Wallet Last Active

> Retrieve the last active timestamp for a wallet across each of 100+ chains.



## OpenAPI

````yaml /reference/api-json.json get /token/activity
openapi: 3.0.0
info:
  title: Unified Request
  description: One API for all your web3 needs.
  version: '1.0'
  contact: {}
servers:
  - url: https://api-test.uniblock.dev/uni/v1
    description: Test-Gateway
security:
  - {}
  - ApiKeyAuth: []
tags: []
paths:
  /token/activity:
    get:
      tags:
        - Token
      summary: Get Wallet Last Active
      description: >-
        Retrieve the last active timestamp for a wallet across each of 100+
        chains.
      operationId: WalletTokenActivity
      parameters:
        - name: walletAddress
          required: true
          in: query
          description: The address of the wallet to query.
          schema:
            default: '0x8D97689C9818892B700e27F316cc3E41e17fBeb9'
            example: '0x8D97689C9818892B700e27F316cc3E41e17fBeb9'
            type: string
        - name: cursor
          required: false
          in: query
          description: Cursor from previous query to get next page of results.
          schema:
            type: string
        - name: includeRaw
          required: false
          in: query
          description: >-
            Returns the raw data given by the provider. WARNING: removes backup
            feature, and raw data returned is not normalized which might make
            switching providers difficult
          schema:
            example: null
            type: boolean
        - name: provider
          required: false
          in: query
          description: >-
            Overrides our autorouting. Only specify this parameter if you would
            like to specify only a single provider to use for this request.
          schema:
            type: string
            enum:
              - GoldRush
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WalletTokenActivityResponse'
components:
  schemas:
    WalletTokenActivityResponse:
      type: object
      properties:
        tokens:
          type: array
          items:
            $ref: '#/components/schemas/WalletTokenActivityResponseItem'
        cursor:
          type: string
          example: >-
            ALC_MHgyMzEyZjAwMTQ5ZDAxMDgwNmQ5ZWY2ZjNlYTMyMGViMWUxYTZiYzhlOjB4MDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDFhYTpmYWxzZQ==
      required:
        - tokens
        - cursor
    WalletTokenActivityResponseItem:
      type: object
      properties:
        name:
          type: string
          example: eth-mainnet
        chainId:
          type: string
          example: '1'
        lastSeen:
          type: string
          example: '2024-01-27T11:56:16Z'
        logo:
          type: string
          example: ''
      required:
        - name
        - chainId
        - lastSeen
        - logo
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY
      description: API key to access the API (optional)

````